=== debian/changelog ===
pentobi (13.1-1) unstable; urgency=medium

  * New upstream release.
    - Update debian/*.install for new AppStream metainfo locations.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update homepage address.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 04 Jul 2017 20:51:47 +0300
