## pentobi 14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1.0)
 
 project(Pentobi)
-set(PENTOBI_VERSION 13.1)
-set(PENTOBI_RELEASE_DATE 2017-06-06)
+set(PENTOBI_VERSION 14.0)
+set(PENTOBI_RELEASE_DATE 2017-10-26)
 
 cmake_policy(SET CMP0043 NEW)
 
@@ -62,10 +62,10 @@
 find_package(Threads)
 
 if(PENTOBI_BUILD_GUI)
-  find_package(Qt5Concurrent 5.2 REQUIRED)
-  find_package(Qt5Widgets 5.2 REQUIRED)
-  find_package(Qt5LinguistTools 5.2 REQUIRED)
-  find_package(Qt5Svg 5.2 REQUIRED)
+  find_package(Qt5Concurrent 5.6 REQUIRED)
+  find_package(Qt5Widgets 5.6 REQUIRED)
+  find_package(Qt5LinguistTools 5.6 REQUIRED)
+  find_package(Qt5Svg 5.6 REQUIRED)
 endif()
 if(PENTOBI_BUILD_QML)
   find_package(Qt5Concurrent 5.6 REQUIRED)
@@ -85,7 +85,4 @@
 add_subdirectory(doc)
 add_subdirectory(src)
 add_subdirectory(data)
-if(WIN32 AND PENTOBI_BUILD_GUI)
-  add_subdirectory(windows)
-endif()
