=== src/pentobi_qml/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 target_compile_definitions(pentobi_qml PRIVATE
     -DQT_DEPRECATED_WARNINGS
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050800)
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
 
 target_link_libraries(pentobi_qml
   pentobi_mcts
@@ -49,13 +49,13 @@
   boardgame_sgf
   boardgame_util
   boardgame_sys
+  Qt5::Concurrent
+  Qt5::Gui
+  Qt5::Qml
+  Qt5::Svg
+  Qt5::WebView
+  Threads::Threads
 )
-
-qt5_use_modules(pentobi_qml Concurrent Gui Qml Svg WebView)
-
-if(CMAKE_THREAD_LIBS_INIT)
-  target_link_libraries(pentobi_qml ${CMAKE_THREAD_LIBS_INIT})
-endif()
 
 if(MSVC)
   configure_file(pentobi.conf.in Debug/pentobi.conf @ONLY)
