=== debian/changelog ===
pentobi (14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Add Rules-Requires-Root: no.
  * Make an 'empty' override target actually empty, so that dh does not
    call debian/rules unnecessarily.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 29 Nov 2017 09:31:38 +0200
