=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.0.0
+Rules-Requires-Root: no
+Standards-Version: 4.1.1
 Homepage: https://pentobi.sourceforge.io
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/pentobi.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/pentobi.git
