## pentobi 14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1.0)
 
 project(Pentobi)
-set(PENTOBI_VERSION 14.0)
-set(PENTOBI_RELEASE_DATE 2017-10-26)
+set(PENTOBI_VERSION 14.1)
+set(PENTOBI_RELEASE_DATE 2018-01-03)
 
 cmake_policy(SET CMP0043 NEW)
 
@@ -68,11 +68,11 @@
   find_package(Qt5Svg 5.6 REQUIRED)
 endif()
 if(PENTOBI_BUILD_QML)
-  find_package(Qt5Concurrent 5.6 REQUIRED)
-  find_package(Qt5Qml 5.6 REQUIRED)
-  find_package(Qt5Gui 5.6 REQUIRED)
-  find_package(Qt5Svg 5.6 REQUIRED)
-  find_package(Qt5WebView 5.6 REQUIRED)
+  find_package(Qt5Concurrent 5.7 REQUIRED)
+  find_package(Qt5Qml 5.7 REQUIRED)
+  find_package(Qt5Gui 5.7 REQUIRED)
+  find_package(Qt5Svg 5.7 REQUIRED)
+  find_package(Qt5WebView 5.7 REQUIRED)
 endif()
 
 if(UNIX)
