=== src/libboardgame_test/CMakeLists.txt ===
add_library(boardgame_test STATIC
  Test.h
  Test.cpp
)
