=== src/libpentobi_base/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,6 @@
   PieceTransformsGembloQ.h
   PieceTransformsGembloQ.cpp
   PieceTransforms.h
-  PieceTransforms.cpp
   PieceTransformsTrigon.h
   PieceTransformsTrigon.cpp
   PlayerBase.h
