=== src/libpentobi_kde_thumbnailer/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
   ../libboardgame_util/Log.cpp
   ../libboardgame_util/StringUtil.cpp
   ../libboardgame_base/StringRep.cpp
-  ../libboardgame_sgf/MissingProperty.cpp
   ../libboardgame_sgf/Reader.cpp
+  ../libboardgame_sgf/SgfError.cpp
   ../libboardgame_sgf/SgfNode.cpp
   ../libboardgame_sgf/SgfTree.cpp
   ../libboardgame_sgf/TreeReader.cpp
@@ -38,6 +38,6 @@
 
 target_compile_definitions(pentobi_kde_thumbnailer PRIVATE
     -DQT_DEPRECATED_WARNINGS
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050800)
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
 
 target_link_libraries(pentobi_kde_thumbnailer Qt5::Widgets)
