=== debian/changelog ===
pentobi (14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Upgrade to dh compat level 11.
  * Drop alternative Build-Depends on kio-dev, which is an old name and
    not needed any more.
  * Update Vcs-Git and Vcs-Browser to salsa.debian.org.
  * Declare compliance with Policy 4.1.3. No changes needed.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 11 Jan 2018 21:53:32 +0200
