=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Dean Evans <dean@codemonkies.net>,
            Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                extra-cmake-modules,
-               libkf5kio-dev | kio-dev,
+               libkf5kio-dev,
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://pentobi.sourceforge.io
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/pentobi.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-games/pentobi.git
+Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
+Vcs-Browser: https://salsa.debian.org/games-team/pentobi
 
 Package: pentobi
 Architecture: any
