=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
		-DPENTOBI_BUILD_TESTS=ON

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# dh_makeshlibs not needed, the KDE thumbnailer .so file is a plugin.
override_dh_makeshlibs:
