=== src/learn_tool/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+find_package(Threads)
+
 add_executable(learn-tool Main.cpp)
 
 target_link_libraries(learn-tool
