=== debian/changelog ===
pentobi (16.2-1ubuntu0.1) disco; urgency=medium

  * Disabled QtQuickCompiler to avoid the need for recompilation
    for different versions of Qt (LP: #1824560).

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 23 Apr 2019 18:48:36 +0300

pentobi (16.2-1) unstable; urgency=medium

  * New upstream release.
  * This version makes Qt WebView dependency optional.
    - libqt5webview5-dev and qml-module-qtwebview restricted to architectures
      for which they are available.
    - On other architectures, a browser is used to show the help.
      There is no virtual package that guarantees a graphical browser,
      but Recommends: www-browser may be good enough.
  * d/pentobi.install: Added back usr/share/help.
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Change to compat 12 by Build-Depends: debhelper-compat.
  * d/copyright: Update years.
  * d/copyright, d/watch: Change http to https.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 17 Jan 2019 16:42:18 +0200

pentobi (16.1-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Policy 4.2.1.
    - Do not rename NEWS to changelog; that has been deprecated.
  * Add new Build-Depends.
  * Add Depends on required qml-module-* packages.
  * Export QT_SELECT to avoid "could not find a Qt installation of ''".
  * The help files and game resources are now bundled into the executable.
    - d/pentobi.install: Removed usr/share/games and usr/share/help.
    - d/pentobi.doc-base.*: Removed.
  * d/pentobi-kde-thumbnailer.install: Update metainfo filename.
  * Re-add "Enhances: konqueror" for -kde-thumbnailer because that has
    become true again.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Fri, 23 Nov 2018 12:48:23 +0200
