=== debian/control ===
--- 
+++ 
@@ -1,25 +1,38 @@
 Source: pentobi
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dean Evans <dean@codemonkies.net>,
            Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                extra-cmake-modules,
                libkf5kio-dev,
                libqt5svg5-dev,
+               libqt5webview5-dev [amd64 arm64 armhf i386 mipsel],
+               qtdeclarative5-dev,
+               qtquickcontrols2-5-dev,
                qttools5-dev,
                qttools5-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://pentobi.sourceforge.io
 Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
 Vcs-Browser: https://salsa.debian.org/games-team/pentobi
 
 Package: pentobi
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qt-labs-folderlistmodel,
+         qml-module-qt-labs-settings,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
+         qml-module-qtwebview [amd64 arm64 armhf i386 mipsel],
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: www-browser [!amd64 !arm64 !armhf !i386 !mipsel]
 Suggests: pentobi-kde-thumbnailer
 Description: clone of the strategy board game Blokus
  Pentobi is a strategy board game played on a square grid board using playing
@@ -37,7 +50,7 @@
 Multi-Arch: same
 Section: kde
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Enhances: dolphin
+Enhances: dolphin, konqueror
 Description: clone of the strategy board game Blokus - KDE thumbnailer
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
